# CommonProtos.Etag.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class CommonProtos.Etag.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.Etag.Builder>
      - - io.dapr.v1.CommonProtos.Etag.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `CommonProtos.EtagOrBuilder`, `Cloneable`

Enclosing class:
  CommonProtos.Etag

    public static final class CommonProtos.Etag.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.Etag.Builder>
    implements CommonProtos.EtagOrBuilder

     Etag represents a state item version

Protobuf type `dapr.proto.common.v1.Etag`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CommonProtos.Etag.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`CommonProtos.Etag` `build()`
`CommonProtos.Etag` `buildPartial()`
`CommonProtos.Etag.Builder` `clear()`
`CommonProtos.Etag.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`CommonProtos.Etag.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`CommonProtos.Etag.Builder` `clearValue()` value sets the etag value
`CommonProtos.Etag.Builder` `clone()`
`CommonProtos.Etag` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getValue()` value sets the etag value
`com.google.protobuf.ByteString` `getValueBytes()` value sets the etag value
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`CommonProtos.Etag.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`CommonProtos.Etag.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`CommonProtos.Etag.Builder` `mergeFrom​(CommonProtos.Etag other)`
`CommonProtos.Etag.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`CommonProtos.Etag.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`CommonProtos.Etag.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`CommonProtos.Etag.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`CommonProtos.Etag.Builder` `setValue​(String value)` value sets the etag value
`CommonProtos.Etag.Builder` `setValueBytes​(com.google.protobuf.ByteString value)` value sets the etag value

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.Etag.Builder>`

#### clear

    public CommonProtos.Etag.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.Etag.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.Etag.Builder>`

#### getDefaultInstanceForType

    public CommonProtos.Etag getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public CommonProtos.Etag build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public CommonProtos.Etag buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public CommonProtos.Etag.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.Etag.Builder>`

#### setField

    public CommonProtos.Etag.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                              Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.Etag.Builder>`

#### clearField

    public CommonProtos.Etag.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.Etag.Builder>`

#### clearOneof

    public CommonProtos.Etag.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.Etag.Builder>`

#### setRepeatedField

    public CommonProtos.Etag.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      int index,
                                                      Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.Etag.Builder>`

#### addRepeatedField

    public CommonProtos.Etag.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.Etag.Builder>`

#### mergeFrom

    public CommonProtos.Etag.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.Etag.Builder>`

#### mergeFrom

    public CommonProtos.Etag.Builder mergeFrom​(CommonProtos.Etag other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.Etag.Builder>`

#### mergeFrom

    public CommonProtos.Etag.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.Etag.Builder>`
Throws:
  `IOException`

#### getValue

    public String getValue()

     value sets the etag value

`string value = 1;`

Specified by:
  `getValue` in interface `CommonProtos.EtagOrBuilder`
Returns:
  The value.

#### getValueBytes

    public com.google.protobuf.ByteString getValueBytes()

     value sets the etag value

`string value = 1;`

Specified by:
  `getValueBytes` in interface `CommonProtos.EtagOrBuilder`
Returns:
  The bytes for value.

#### setValue

    public CommonProtos.Etag.Builder setValue​(String value)

     value sets the etag value

`string value = 1;`

Parameters:
  `value` - The value to set.
Returns:
  This builder for chaining.

#### clearValue

    public CommonProtos.Etag.Builder clearValue()

     value sets the etag value

`string value = 1;`

Returns:
  This builder for chaining.

#### setValueBytes

    public CommonProtos.Etag.Builder setValueBytes​(com.google.protobuf.ByteString value)

     value sets the etag value

`string value = 1;`

Parameters:
  `value` - The bytes for value to set.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final CommonProtos.Etag.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.Etag.Builder>`

#### mergeUnknownFields

    public final CommonProtos.Etag.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.Etag.Builder>`